![](media/logo.png)

# **Next Hotel** 

#### Take You To The Next Level

This repository is the Capstone Project in [Bangkit Academy](https://grow.google/intl/id_id/bangkit/) 2022. This application is purpose to help user to get hotel recommendations.<br><br>
 [![Platform](https://img.shields.io/badge/platform-Android-green.svg)](http://developer.android.com/index.html)<br>
 

# Application Install

***You can Install and test latest Next Hotel app from below 👇***

[![NEXTHOTEL](https://img.shields.io/badge/NextHotel✅-APK-red.svg?style=for-the-badge&logo=android)](http://linkdonlod)


## Setup
Clone the repository on your machine. Open the project on your IDE and run it.

## About
- Hotel Recommendation Based on Your Personalized
- Hotel Best Pick
- Explore Hotels
- Clean and Simple Material UI
- Light Mode and Dark Mode 🌗

## MAD Score

![](media/mad_score.png)

Full details of MAD Score:
- [MAD Score](https://madscorecard.withgoogle.com/scorecards/863589300/)


## 📸 Screenshots
||||
|:----------------------------------------:|:-----------------------------------------:|:-----------------------------------------: |
| ![](media/dark/splash.jpg) | ![](media/dark/survey.jpg) | ![](media/dark/home.jpg) |
| ![](media/dark/explore.jpg) | ![](media/dark/setting.jpg) | ![](media/dark/search.jpg) |
| ![](media/dark/detail.jpg) | ![](media/dark/facility.jpg) | ![](media/light/home.jpg) |

## Built With 🛠
- [Kotlin](https://kotlinlang.org/) - First class and official programming language for Android development.
- [Coroutines](https://kotlinlang.org/docs/reference/coroutines-overview.html) - A coroutine is a concurrency design pattern that you can use on Android to simplify code that executes asynchronously.
- [LiveData](https://developer.android.com/topic/libraries/architecture/livedata) -  oOservable data holder class.
- [Android Architecture Components](https://developer.android.com/topic/libraries/architecture) - Collection of libraries that help you design robust, testable, and maintainable apps.
    - [ViewModel](https://developer.android.com/topic/libraries/architecture/viewmodel) - Stores UI-related data that isn't destroyed on UI changes.
    - [ViewBinding](https://developer.android.com/topic/libraries/view-binding) - Generates a binding class for each XML layout file present in that module and allows you to more easily write code that interacts with views.
    - [Data Store](https://developer.android.com/topic/libraries/architecture/datastore) - Data storage solution that allows you to store key-value pairs or typed objects with protocol buffers.
- [Dependency Injection](https://developer.android.com/training/dependency-injection) - A technique widely used in programming and well suited to Android development.
- [Retrofit](https://square.github.io/retrofit/) - A type-safe HTTP client for Android and Java.
- [GSON](https://github.com/google/gson) - A modern JSON library for Kotlin and Java.
- [GSON Converter](https://github.com/square/retrofit/tree/master/retrofit-converters/gson) - A Converter which uses GSON for serialization to and from JSON.
- [Coil](https://github.com/coil-kt/coil) - An image loading library for Android backed by Kotlin Coroutines.
- [Material Components for Android](https://github.com/material-components/material-components-android) - Modular and customizable Material Design UI components for Android.

# Package Structure
![](media/structure_folder.png)
    
## Architecture
This app uses [***MVVM (Model View View-Model)***](https://developer.android.com/jetpack/docs/guide#recommended-app-arch) architecture.

![](https://developer.android.com/topic/libraries/architecture/images/final-architecture.png)

## Contact
Visit:- [gonexwind git's](https://github.com/gonexwind)
